/*
 * Copyright 2009-2010 Yuichiro Moriguchi
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.morilib.awk.bytes;

import java.util.Set;

/**
 * byteの集合です。
 * 
 * @author MORIGUCHI, Yuichiro 2010/10/11
 */
public interface ByteSet extends Set<Byte>, ByteCollection {

	/**
	 * 与えられた集合に含まれない集合を得ます。
	 * 
	 * @param set 集合
	 * @return 差集合
	 */
	public ByteSet collect(ByteSet set);

}
