/*
 * Copyright 2013 Yuichiro Moriguchi
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.morilib.awk.io;

import java.io.Closeable;
import java.io.IOException;

/**
 * 1レコードを読み込むためのインターフェースです。
 *
 * @author MORIGUCHI, Yuichiro 2013/04/02
 */
public interface RecordReader extends Closeable {

	/**
	 * 1レコードを読み込みます。
	 * 
	 * @param rs レコード区切り
	 * @throws IOException
	 */
	public String readRecord(String rs) throws IOException;

}
